@font-face {
    font-family: "Noteworthy-Lt";
    src: url("../fonts/Noteworthy-Lt.ttf") format("truetype");

    font-display: swap;
}

#userAvatar {
    display: none;
}

.navbar-brand {
    font-family: "Noteworthy-Lt", sans-serif;
    font-size: 1.8rem;
}

.nav-item {
    font-family: "Patrick Hand", sans-serif;
    font-size: 1.4rem;
}

.nav-link {
    justify-content: center;
}

.mobile {
    display: none;
}

.multi-panel {
    align-items: center;
}

.main-container {
    height: 80%;
    width: 90%;
}

@media (max-width: 992px) {
    .desktop {
        display: none !important;
    }

    .multi-panel {
        margin-top: 2%;
        justify-content: space-between !important;
        align-items: center;
    }

    #userBlock {
        display: none;
    }

    #userAvatar {
        display: grid;
        justify-items: center;
    }

    .mobile {
        display: unset !important;
    }

    .ad {
        display: flex !important;
    }

}


@media (min-width: 768px) {
    .animate {
        animation-duration: 0.3s;
        -webkit-animation-duration: 0.3s;
        animation-fill-mode: both;
        -webkit-animation-fill-mode: both;
    }
}

@media (max-width: 1024px) {
    .right-panel-block {
        display: flex;
        flex-direction: column;
    }

    .left-panel-block {
        display: flex;
        flex-direction: column;
    }
}

@keyframes slideIn {
    0% {
        transform: translateY(1rem);
        opacity: 0;
    }

    100% {
        transform: translateY(0rem);
        opacity: 1;
    }

    0% {
        transform: translateY(1rem);
        opacity: 0;
    }
}

@-webkit-keyframes slideIn {
    0% {
        -webkit-transform: transform;
        -webkit-opacity: 0;
    }

    100% {
        -webkit-transform: translateY(0);
        -webkit-opacity: 1;
    }

    0% {
        -webkit-transform: translateY(1rem);
        -webkit-opacity: 0;
    }
}

.slideIn {
    -webkit-animation-name: slideIn;
    animation-name: slideIn;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    align-items: center;
    justify-content: center;
    z-index: 1000;

    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;

}

.overlay.show {
    visibility: visible;
    display: flex;
    opacity: 1;
    /*animation: showAnimation 0.2s linear forwards;*/
}

.overlay.hide {
    /*animation: hideAnimation 0.2s linear forwards !important;*/
}

.overlay-content {
    z-index: 1024;
}

.un-interactable {
    pointer-events: none;
    user-select: none;
}


@keyframes showAnimation {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes hideAnimation {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
        display: none;
    }
}
